Skip to main content
Procore

Prerequisites

Procore Tools

The following Procore Tools are required in order to use the FTQ360 application with Procore.

  • Punch List

Subscriptions and Licensing

  • Basic Plus paid subscription or higher FTQ360
  • Was this article helpful?